Вопрос Как установить GNU Make 4.0 на Ubuntu 12.04


Мне нужен GNU Make 4.0+ из-за нового file функция.

Как установить это на Ubuntu 12.04?

Я пробовал .deb, но это зависит от libc6 2.17.


2
2017-08-18 08:13


происхождения




ответы:


Для таких людей, как я, я просто 64-битный amd deb из переделка для Ubuntu 12.04. переделка это GNU Make с некоторыми расширениями. Специфическая версия, которую я использовал, была 4.1.


2
2018-06-17 04:51



Спасибо за римейк, я попробую. Просто сообщите, что ваш пакет не может быть установлен одновременно с пакетом make-4 Ubuntu. dpkg: архив обработки ошибок /home/thomas/Downloads/remake_4.1+dbg1.0_amd64.deb (--install): попытка перезаписать '/usr/include/gnumake.h', который также находится в пакете make 4.0-8 - thomie
Устанавливает ли это обновление - replacefiles? Я совершенно уверен, что лучший способ справиться с этим на стороне упаковки пока. - rocky
@rocky, любые обновления этой установки. Я просто попытался установить файл, с которым вы связались, и я получаю ту же ошибку, что он пытается перезаписать gnumake.h. Это не похоже на то, что -replacefiles - даже действительный вариант. - mikeazo